View Issue Details

IDProjectCategoryView StatusLast Update
0037300FPCPatchpublic2020-07-09 19:31
ReporterInoussa OUEDRAOGO Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1 
Fixed in Version3.3.1 
Summary0037300: [Patch] Fix image handling at design time with fpReport's designer.
DescriptionImage selected through the image editor is not visible in the designer nor saved in the report.
This patch addresses this.
TagsfpReport
Fixed in Revision63536
FPCOldBugId
FPCTarget4.0.0
Attached Files

Activities

Inoussa OUEDRAOGO

2020-07-04 15:25

reporter  

frmfpreportimageedit.pp.patch (711 bytes)   
Index: frmfpreportimageedit.pp
===================================================================
--- frmfpreportimageedit.pp	(revision 63506)
+++ frmfpreportimageedit.pp	(working copy)
@@ -213,7 +213,6 @@
 Var
   RI : TFPReportImage;
   S : TMemoryStream;
-  R : TFPReaderPNG;
 
 begin
   RI:=TFPReportImage(ReportImage);
@@ -222,16 +221,13 @@
     RI.FieldName:=CBFieldName.Text
   else
     begin
-    R:=Nil;
     S:=TMemoryStream.Create;
     try
       //
       IImage.Picture.SaveToStreamWithFileExt(S,'.png');
       S.Position:=0;
-      R:=TFPReaderPNG.Create;
-      RI.Image.LoadFromStream(S,R);
+      RI.LoadPNGFromStream(S);
     finally
-      R.Free;
       S.Free;
     end;
     end;

Michael Van Canneyt

2020-07-09 12:04

administrator   ~0123838

Applied, thank you!

Issue History

Date Modified Username Field Change
2020-07-04 15:25 Inoussa OUEDRAOGO New Issue
2020-07-04 15:25 Inoussa OUEDRAOGO File Added: frmfpreportimageedit.pp.patch
2020-07-04 15:25 Inoussa OUEDRAOGO Tag Attached: fpReport
2020-07-07 11:51 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-07-07 11:51 Michael Van Canneyt Status new => assigned
2020-07-09 12:04 Michael Van Canneyt Status assigned => resolved
2020-07-09 12:04 Michael Van Canneyt Resolution open => fixed
2020-07-09 12:04 Michael Van Canneyt Fixed in Version => 3.3.1
2020-07-09 12:04 Michael Van Canneyt Fixed in Revision => 63536
2020-07-09 12:04 Michael Van Canneyt FPCTarget => 4.0.0
2020-07-09 12:04 Michael Van Canneyt Note Added: 0123838
2020-07-09 19:31 Inoussa OUEDRAOGO Status resolved => closed